<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
include ("include/images/images_mod.class.php");


class banner_cat extends elemento{
	

	
	function banner_cat() {
        
        $c= new categoria;

    }

	
	function guardar($id){
		$trata = new images_mod($this->req);
		$this->req['ficheiro'] = $trata->tratafile('ficheiro');
		$this->req['imagem'] = $trata->trataimagem('imagem', "../netimages/banner");
	
		parent::guardar($id);
	}
	


	function editar($id=""){

        $db= new dbElemento;
		$linha=@$db->getLinha($this->tipo, $id);
		
		$categoria=@$db->getLinha("categoria", $linha['idCat']);
		
//		$dados=$db->get("select * from categoria where idPai=0 and tipo1!='nada' ");
//		foreach ($dados as $l) $dadosSel[$l['id']]=$l['categoria'];

		$f= new form($id, $linha , $this->req);
		$f->toolbars();
		$f->titulo("Banners / ". $categoria['categoria'],1);
		$f->campoTexto("Título","titulo" );	
		
		$f->campoFicheiro2("Flash", "ficheiro");
		$f->campoImagem2("Imagem", "imagem", 300, 250, "../netimages/banner/");
		$f->campoTexto("Link","link" );
//		$f->campoSeleccao("categoria", "idCat", $dadosSel, $linha['idCat']);
		$f->campoTexto("Peso (1 a 10)","peso" );
		$f->label("Cliques", $linha['cliques'] );

		$f->campoSimNao("Activo", "activo", 0);
		
		$f->mostra();
	}
	
		function listar(){

        $campos=array("Nr"=>"id","Titulo"=>"titulo", "Peso"=>"peso", "Cliques"=>"cliques", "Activo"=>"activo");
        
        $db= new dbElemento;
        
        $dados=$db->getLista($this->tipo, $this->idCat, $campos , "id", "asc" ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);
         
		 
		$tamk=sizeof($dados);
		for ($k=0;$k<$tamk;$k++)
			$dados[$k]['activo']=$dados[$k]['activo']==1?"Activo":"Desactivado";
		        
        $f= new lista($campos, $dados, $this->req);
		
		$toolbar= new toolbar(); 
		$toolbar->botao("Novo");
		//$toolbar->botao2("Mover");
		//$toolbar->botao2("Copiar");
		$toolbar->botao2("Apagar");
		$toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();
		$toolbar->ini();
		
//		$dados=$db->get("select * from categoria where idPai=0 and tipo1!='nada' ");
//		foreach ($dados as $l) $dadosSel[$l['id']]=$l['categoria'];

		
//		$toolbar->seleccao("dadosSel", "idCat", $this->req['idCat'], true);
		$toolbar->procurar($this->req['procurar']);   //mudar para campo
		$toolbar->botao("procurar", 90);
		//$toolbar->botaoHelp($this->tipo,"", 90);
		$toolbar->fim();
		
		$categoria=@$db->getLinha("categoria", $this->idCat);
		
		$f->titulo("Banners / ". $categoria['categoria']);
		//$f->cabeca();
		$f->cabecaSimples();
		
        //$f->filtros();
        $f->tabela(true);
		$f->mostra();

	}

}
?>
